CHFLAGS(1) | General Commands Manual | CHFLAGS(1)

# NAME

chflags — change file flags

# SYNOPSIS

chflags | [-R [-H | -L | -P]] [-h] flags file ...

# DESCRIPTION

The chflags utility modifies the file flags of the listed files as specified by the flags operand.

The options are as follows:

-H
  If the -R option is specified, symbolic links on the command line are followed. (Symbolic links encountered in the tree traversal are not followed.)
-L
  If the -R option is specified, all symbolic links are followed.
-P
  If the -R option is specified, no symbolic links are followed.
-R
  Change the file flags for the file hierarchies rooted in the files instead of just the files themselves.
-h
  If the file or a file encountered during directory traversal is a symbolic link, the file flags of the link itself is changed.

Flags are a comma separated list of keywords. The following keywords are currently defined:

Keyword | Flag | Permission
arch | archived | super-user only
opaque | opaque | owner or super-user
nodump | nodump | owner or super-user
sappnd | system append-only | super-user only
schg | system immutable | super-user only
uappnd | user append-only | owner or super-user
uchg | user immutable | owner or super-user

Putting the letters “no” before an option causes the flag to be turned off. For example:

nouchg
  the immutable bit should be cleared

The -H, -L and -P options are ignored unless the -R option is specified. In addition, these options override each other and the command's actions are determined by the last one specified.

The -o option of ls(1) is used to display the flags.

The chflags utility exits 0 on success, and >0 if an error occurs.

The kernel does not allow the flags on block and character devices to be changed except by the super-user.

# SEE ALSO

ls(1), chflags(2), lchflags(2), stat(2), fts(3), symlink(7), dump(8), init(8)

May 14, 2010 | NetBSD 6.0